MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000466Community[OCCT] OCCT:Modeling Datapublic2002-06-17 15:242011-12-15 17:54
Reporteremo 
Assigned Toapo 
PrioritynoneSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000466: BRepBuilderAPI_NurbsConvert crashed for a part imported from IGES
DescriptionThis bug has been adde to
http://www.opencascade.org/forumorg/bug.php?bug_id=51&f=8 [^] by
Narasimha knrao@icemcfd.com.

Imported an IGES part and tried to convert it into spline using the class my
application crashed in the constructor of "BRepBuilderAPI_NurbsConvert".
Then I debugged the conversin face by face using the exception handling.
I found the following surface(face) types:
Geom_SurfaceOfLinearExtrusion and Geom_SurfaceOfRevolution were failed for
nurbs conversion.
I imported the same part in some other cad packages. I found these failed faces
look like a semi sphere, and planar faces.
TagsNo tags attached.
Test case number
Attached Fileszip file icon ProblemIges.zip (21,158 bytes) 2002-06-17 11:24
? file icon ProblemIges.brep (67,747 bytes) 2002-06-18 16:14
tar file icon occ466.tar (19,456 bytes) 2002-06-20 08:20
tar file icon occ466dev.tar (19,456 bytes) 2002-06-20 16:33

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-06-17 15:31 bugmaster Assigned To bugmaster => ifv
2002-06-17 15:31 bugmaster Status new => assigned
2002-06-18 19:11 ifv Assigned To ifv => apo
2002-06-18 19:11 ifv CC => emo, vtn
2002-06-20 12:20 apv CC => apv, aki
2002-06-24 15:46 bugmaster Status assigned => tested
2002-06-26 14:09 bugmaster Status tested => verified
2002-08-01 15:36 bugmaster Status verified => closed
2002-08-01 15:36 bugmaster Resolution @0@ => fixed
2011-08-02 11:32 bugmaster Category OCCT:MOD => OCCT:Modeling Data
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker